org.apache.uima.jcas.cas

## Class IntegerList

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImpl
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.IntegerList

- All Implemented Interfaces:
    Cloneable, Iterable<Integer>, FeatureStructure
  Direct Known Subclasses:
    EmptyIntegerList, NonEmptyIntegerList

      public class IntegerList
      extends TOP
      implements Iterable<Integer>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `addr, jcasType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IntegerList()`
    `` | `IntegerList(int addr, TOP_Type type)`
    `` | `IntegerList(JCas jcas)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNthElement(int i)`
    `int` | `getTypeIndexID()` used to obtain reference to the TOP_Type instance
    `Iterator<Integer>` | `iterator()`
    `NonEmptyIntegerList` | `push(int item)` pushes item onto front of this list

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `addToIndexes, addToIndexes, equals, getAddress, getCAS, getCASImpl, getLowLevelCas, hashCode, removeFromIndexes, removeFromIndexes`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImpl

      `clone, getavoidcollisionTypeCode, getBooleanValue, getByteValue, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getShortValue, getStringValue, getType, prettyPrint, prettyPrint, prettyPrint, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

  - ### Constructor Detail

    - #### IntegerList

          protected IntegerList()

    - #### IntegerList

          public IntegerList(int addr,
                             TOP_Type type)

    - #### IntegerList

          public IntegerList(JCas jcas)

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Description copied from class: `TOP`
      used to obtain reference to the TOP_Type instance
      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        the type array index

    - #### getNthElement

          public int getNthElement(int i)

    - #### push

          public NonEmptyIntegerList push(int item)

      pushes item onto front of this list
      Parameters:
        `item` - the item to push onto the list
      Returns:
        the new list, with this item as the head value of the first element

    - #### iterator

          public Iterator<Integer> iterator()

      Specified by:
        `iterator` in interface `Iterable<Integer>`

Copyright © 2006–2017 The Apache Software Foundation. All rights reserved.